# Makefile.in generated by automake 1.7.9 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = @host@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCAS = @CCAS@
CCASFLAGS = @CCASFLAGS@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CLANLIB_MAJOR_VERSION = @CLANLIB_MAJOR_VERSION@
CLANLIB_MICRO_VERSION = @CLANLIB_MICRO_VERSION@
CLANLIB_MINOR_VERSION = @CLANLIB_MINOR_VERSION@
CLANLIB_VERSION = @CLANLIB_VERSION@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
ClanLib_API_Modules = @ClanLib_API_Modules@
ClanLib_Examples = @ClanLib_Examples@
ClanLib_Modules = @ClanLib_Modules@
ClanLib_add_docs = @ClanLib_add_docs@
ClanLib_pkgconfig = @ClanLib_pkgconfig@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBPTHREAD = @LIBPTHREAD@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAKEINFO = @MAKEINFO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
WIN32_FALSE = @WIN32_FALSE@
WIN32_TRUE = @WIN32_TRUE@
XALAN_PRESENT_FALSE = @XALAN_PRESENT_FALSE@
XALAN_PRESENT_TRUE = @XALAN_PRESENT_TRUE@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
clanSound_extra_objects = @clanSound_extra_objects@
datadir = @datadir@
directfb_cflags = @directfb_cflags@
directfb_libs = @directfb_libs@
disp_directfb = @disp_directfb@
exec_prefix = @exec_prefix@
extra_CFLAGS_clanApp = @extra_CFLAGS_clanApp@
extra_CFLAGS_clanCore = @extra_CFLAGS_clanCore@
extra_CFLAGS_clanDisplay = @extra_CFLAGS_clanDisplay@
extra_CFLAGS_clanGL = @extra_CFLAGS_clanGL@
extra_CFLAGS_clanGUI = @extra_CFLAGS_clanGUI@
extra_CFLAGS_clanMikMod = @extra_CFLAGS_clanMikMod@
extra_CFLAGS_clanNetwork = @extra_CFLAGS_clanNetwork@
extra_CFLAGS_clanSDL = @extra_CFLAGS_clanSDL@
extra_CFLAGS_clanSignals = @extra_CFLAGS_clanSignals@
extra_CFLAGS_clanSound = @extra_CFLAGS_clanSound@
extra_CFLAGS_clanVorbis = @extra_CFLAGS_clanVorbis@
extra_LIBS_clanApp = @extra_LIBS_clanApp@
extra_LIBS_clanCore = @extra_LIBS_clanCore@
extra_LIBS_clanDisplay = @extra_LIBS_clanDisplay@
extra_LIBS_clanGL = @extra_LIBS_clanGL@
extra_LIBS_clanGUI = @extra_LIBS_clanGUI@
extra_LIBS_clanMikMod = @extra_LIBS_clanMikMod@
extra_LIBS_clanNetwork = @extra_LIBS_clanNetwork@
extra_LIBS_clanSDL = @extra_LIBS_clanSDL@
extra_LIBS_clanSignals = @extra_LIBS_clanSignals@
extra_LIBS_clanSound = @extra_LIBS_clanSound@
extra_LIBS_clanVorbis = @extra_LIBS_clanVorbis@
extra_includes = @extra_includes@
extra_libraries = @extra_libraries@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
js_cflags = @js_cflags@
js_defs = @js_defs@
js_libs = @js_libs@
libdir = @libdir@
libexecdir = @libexecdir@
libs = @libs@
localstatedir = @localstatedir@
mandir = @mandir@
objf_nondyn = @objf_nondyn@
oldincludedir = @oldincludedir@
perl_exec = @perl_exec@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
xalan_exec = @xalan_exec@
clanSDL_includes = \
        sdl.h \
	SDL/setupsdl.h


clanGL_includes = \
        gl.h \
	GL/opengl_window.h \
	GL/opengl_window_description.h \
	GL/opengl_surface.h \
	GL/setupgl.h \
	GL/opengl.h \
	GL/opengl_state.h \
	GL/opengl_state_data.h \
	GL/viewpoint.h \
	GL/light_source.h


clanSmallJPEG_includes = smalljpeg.h SmallJPEG/jpgd_provider.h

clanTTF_includes = TTF/setupttf.h ttf.h

clanMikMod_includes = \
	mikmod.h \
	MikMod/setupmikmod.h \
        MikMod/soundprovider_mikmod.h


clanSignal_includes = \
	signals.h \
	Signals/slotbuffer_v0.h \
	Signals/slotbuffer_v1.h \
	Signals/slot_container.h \
	Signals/signal.h \
	Signals/signal_v0.h \
	Signals/signal_v1.h \
	Signals/signal_v2.h \
	Signals/signal_v3.h \
	Signals/signal_v4.h \
	Signals/signal_v5.h \
	Signals/slot_generic.h \
	Signals/slot.h \
	Signals/slot_v0.h \
	Signals/slot_v1.h \
	Signals/slot_v2.h \
	Signals/slot_v3.h \
	Signals/slot_v4.h \
	Signals/slot_v5.h


clanApp_includes = application.h Application/clanapp.h

clanNetwork_includes = \
	network.h \
	Network/setupnetwork.h \
	Network/IRC/irc_connection.h \
	Network/IRC/irc_numerics.h \
	Network/IRC/dcc_download.h \
	Network/NetSession/inputsource_netpacket.h \
	Network/NetSession/netstream.h \
	Network/NetSession/netgroup.h \
	Network/NetSession/netsession.h \
	Network/NetSession/outputsource_netstream.h \
	Network/NetSession/netpacket.h \
	Network/NetSession/outputsource_netpacket.h \
	Network/NetSession/inputsource_netstream.h \
	Network/NetSession/netcomputer.h \
	Network/Socket/outputsource_socket.h \
	Network/Socket/inputsource_socket.h \
	Network/Socket/ip_address.h \
	Network/Socket/socket.h \
	Network/NetObjects/netobject_server.h \
	Network/NetObjects/netobject_controller.h \
	Network/NetObjects/netobject_client.h \
	Network/NetVariables/netvariables.h


clanVoice_includes = \
	voice.h \
	Voice/voice_encoder.h \
	Voice/voice_server.h \
	Voice/voice_decoder.h \
	Voice/voice_codec.h \
	Voice/voice_client.h


clanGUI_includes = \
	gui.h \
	GUI/treeitem.h \
	GUI/component_move_handler.h \
	GUI/treenode.h \
	GUI/progressbar.h \
	GUI/component.h \
	GUI/component_manager.h \
	GUI/layout.h \
	GUI/label.h \
	GUI/treeview.h \
	GUI/filedialog.h \
	GUI/radiobutton.h \
	GUI/component_resize_handler.h \
	GUI/listitem.h \
	GUI/frame.h \
	GUI/gui_manager.h \
	GUI/scrollbar.h \
	GUI/window.h \
	GUI/checkbox.h \
	GUI/listbox.h \
	GUI/component_type.h \
	GUI/setupgui.h \
	GUI/stylemanager.h \
	GUI/button.h \
	GUI/image.h \
	GUI/messagebox.h \
	GUI/radiogroup.h \
	GUI/component_style.h \
	GUI/inputbox.h \
	GUI/inputdialog.h \
	GUI/menu.h \
	GUI/menu_node.h \
	GUI/menu_item.h


clanGUIStyleBoring_includes = \
        guistyleboring.h \
        GUIStyleBoring/stylemanager_boring.h \
        GUIStyleBoring/button_boring.h \
        GUIStyleBoring/checkbox_boring.h \
        GUIStyleBoring/frame_boring.h \
        GUIStyleBoring/image_boring.h \
        GUIStyleBoring/inputbox_boring.h \
        GUIStyleBoring/label_boring.h \
        GUIStyleBoring/listbox_boring.h \
        GUIStyleBoring/progressbar_boring.h \
        GUIStyleBoring/radiobutton_boring.h \
        GUIStyleBoring/scrollbar_boring.h \
        GUIStyleBoring/window_boring.h \
	GUIStyleBoring/menu_boring.h \
	GUIStyleBoring/menu_node_boring.h \
	GUIStyleBoring/menu_item_boring.h


clanGUIStyleSilver_includes = \
	guistylesilver.h \
	GUIStyleSilver/button_silver.h \
	GUIStyleSilver/checkbox_silver.h \
	GUIStyleSilver/frame_silver.h \
	GUIStyleSilver/image_silver.h \
	GUIStyleSilver/inputbox_silver.h \
	GUIStyleSilver/label_silver.h \
	GUIStyleSilver/listbox_silver.h \
	GUIStyleSilver/menu_item_silver.h \
	GUIStyleSilver/menu_node_silver.h \
	GUIStyleSilver/menu_silver.h \
	GUIStyleSilver/progressbar_silver.h \
	GUIStyleSilver/radiobutton_silver.h \
	GUIStyleSilver/scrollbar_silver.h \
	GUIStyleSilver/stylemanager_silver.h \
	GUIStyleSilver/treeitem_silver.h \
	GUIStyleSilver/treeview_silver.h \
	GUIStyleSilver/window_silver.h


clanSound_includes = \
	sound.h \
	Sound/SoundFilters/echofilter.h \
	Sound/SoundFilters/fadefilter.h \
	Sound/SoundFilters/inverse_echofilter.h \
	Sound/setupsound.h \
	Sound/sound.h \
	Sound/soundbuffer.h \
	Sound/soundbuffer_session.h \
	Sound/soundfilter.h \
	Sound/soundformat.h \
	Sound/SoundProviders/soundprovider_factory.h \
	Sound/SoundProviders/soundprovider_type.h \
	Sound/SoundProviders/soundprovider_type_register.h \
	Sound/SoundProviders/soundprovider_raw.h \
	Sound/SoundProviders/soundprovider_wave.h \
	Sound/SoundProviders/soundprovider_recorder.h \
	Sound/cd_drive.h \
	Sound/soundoutput.h \
	Sound/soundoutput_description.h \
	Sound/soundprovider.h \
	Sound/soundprovider_session.h


clanCore_includes = \
	core.h \
	Core/core_iostream.h \
	Core/Math/matrix4x4.h \
	Core/Math/cl_vector.h \
	Core/Math/vector2.inl \
	Core/Math/math.h \
	Core/Math/line_math.h \
	Core/Math/triangle_math.h \
	Core/Math/rect.h \
	Core/Math/quad.h \
	Core/Math/size.h \
	Core/Math/vector2.h \
	Core/Math/point.h \
	Core/Math/origin.h \
	Core/Math/number_pool.h \
	Core/Math/delauney_triangulator.h \
	Core/Math/outline_triangulator.h \
	Core/IOData/datatypes.h \
	Core/IOData/outputsource_memory.h \
	Core/IOData/outputsource_provider.h \
	Core/IOData/inputsource_provider.h \
	Core/IOData/inputsource_memory.h \
	Core/IOData/cl_endian.h \
	Core/IOData/directory_scanner.h \
	Core/IOData/directory.h \
	Core/IOData/outputsource_file.h \
	Core/IOData/outputsource_zipped.h \
	Core/IOData/inputsource.h \
	Core/IOData/inputsource_provider_file.h \
	Core/IOData/inputsource_file.h \
	Core/IOData/inputsource_zipped.h \
	Core/IOData/outputsource.h \
	Core/IOData/zip_archive.h \
	Core/IOData/zip_file_entry.h \
	Core/System/command_line.h \
	Core/System/event_listener.h \
	Core/System/threadfunc_v0.h \
	Core/System/threadfunc_v1.h \
	Core/System/threadfunc_v2.h \
	Core/System/event_trigger.h \
	Core/System/console_window.h \
	Core/System/keep_alive.h \
	Core/System/log.h \
	Core/System/crash_reporter.h \
	Core/System/call_stack.h \
	Core/System/clanstring.h \
	Core/System/setupcore.h \
	Core/System/error.h \
	Core/System/timer.h \
	Core/System/mutex.h \
	Core/System/system.h \
	Core/System/thread.h \
	Core/System/cl_assert.h \
	Core/System/log.h \
	Core/System/cl_library.h \
	Core/System/clonable.h \
	Core/System/lazycopyptr.h \
	Core/System/owningptr.h \
	Core/System/sharedptr.h \
	Core/System/weakptr.h \
	Core/System/mutexsharedptr.h \
	Core/System/mutexweakptr.h \
	Core/Resources/resource.h \
	Core/Resources/resourcetype_boolean.h \
	Core/Resources/resourcetype_integer.h \
	Core/Resources/resourcetype_float.h \
	Core/Resources/resourcetype_string.h \
	Core/Resources/resource_manager.h \
	Core/Resources/resourcetype_raw.h \
	Core/Resources/resourcedata.h \
	Core/XML/dom_attr.h \
	Core/XML/dom_cdata_section.h \
	Core/XML/dom_character_data.h \
	Core/XML/dom_comment.h \
	Core/XML/dom_document.h \
	Core/XML/dom_document_fragment.h \
	Core/XML/dom_document_type.h \
	Core/XML/dom_element.h \
	Core/XML/dom_entity.h \
	Core/XML/dom_entity_reference.h \
	Core/XML/dom_exception.h \
	Core/XML/dom_implementation.h \
	Core/XML/dom_named_node_map.h \
	Core/XML/dom_node.h \
	Core/XML/dom_node_list.h \
	Core/XML/dom_notation.h \
	Core/XML/dom_processing_instruction.h \
	Core/XML/dom_text.h \
	Core/XML/xml_token.h \
	Core/XML/xml_tokenizer.h \
	Core/XML/xml_writer.h


clanDisplay_includes = \
	display.h \
	Display/display_iostream.h \
	Display/pixel_buffer.h \
	Display/color.h \
	Display/gradient.h \
	Display/palette.h \
	Display/display.h \
	Display/display_mode.h \
	Display/display_window_description.h \
	Display/frameratecounter.h \
	Display/keyboard.h \
	Display/key_binding.h \
	Display/keys.h \
	Display/input_device.h \
	Display/input_event.h \
	Display/input_buffer.h \
	Display/input_button.h \
	Display/input_context.h \
	Display/joystick.h \
	Display/mouse.h \
	Display/sprite.h \
	Display/sprite_packer.h \
	Display/graphic_context.h \
	Display/display_window.h \
	Display/setupdisplay.h \
	Display/font.h \
	Display/Providers/provider_type.h \
	Display/Providers/dc_buffer.h \
	Display/Providers/pcx_provider.h \
	Display/Providers/png_provider.h \
	Display/Providers/provider_factory.h \
	Display/Providers/provider_type_register.h \
	Display/Providers/jpeg_provider.h \
	Display/Providers/targa_provider.h \
	Display/surface.h \
	Display/canvas.h \
	Display/pixel_format.h \
	Display/pixel_format_type.h \
	Display/sprite_description.h \
	Display/rle_surface.h \
	Display/blend_func.h \
	Display/stencil_func.h \
	Display/text_styler.h \
	Display/glyph_buffer.h \
	Display/Collision/collision_outline.h \
	Display/Collision/contour.h \
	Display/Collision/outline_accuracy.h \
	Display/Collision/outline_circle.h \
	Display/Collision/outline_provider.h \
	Display/Collision/outline_provider_bitmap.h \
	Display/Collision/outline_provider_file.h


clanJavaScript_includes = \
	javascript.h \
	JavaScript/js_classfactory.h \
	JavaScript/js_runtime.h \
	JavaScript/js_config.h \
	JavaScript/js_error.h \
	JavaScript/js_object.h \
	JavaScript/js_value.h \
	JavaScript/js_arguments.h \
	JavaScript/js_context.h


clanVorbis_includes = \
	vorbis.h \
	Vorbis/setupvorbis.h \
	Vorbis/soundprovider_vorbis.h


ClanLibincludedir = $(includedir)/ClanLib-@LT_RELEASE@/ClanLib
nobase_ClanLibinclude_HEADERS = @ClanLib_API_Modules@

# All available headers are listed here (for 'make dist' and such)
EXTRA_HEADERS = \
	$(clanGL_includes) $(clanCore_includes) $(clanTTF_includes) \
        $(clanApp_includes) \
	$(clanDisplay_includes) $(clanMikMod_includes) \
	$(clanNetwork_includes) \
	$(clanSignal_includes) $(clanVoice_includes) \
	$(clanGUI_includes) $(clanSound_includes) $(clanJavaScript_includes) \
	$(clanVorbis_includes) $(clanGUIStyleSilver_includes) $(clanGUIStyleBoring_includes) \
	efence.h

subdir = Sources/API
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
HEADERS = $(nobase_ClanLibinclude_HEADERS)

DIST_COMMON = $(nobase_ClanLibinclude_HEADERS) $(srcdir)/Makefile.in \
	Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Sources/API/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
nobase_ClanLibincludeHEADERS_INSTALL = $(install_sh_DATA)
install-nobase_ClanLibincludeHEADERS: $(nobase_ClanLibinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(ClanLibincludedir)
	@list='$(nobase_ClanLibinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="$$p"; \
	  echo " $(nobase_ClanLibincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ClanLibincludedir)/$$f"; \
	  $(nobase_ClanLibincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ClanLibincludedir)/$$f; \
	done

uninstall-nobase_ClanLibincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_ClanLibinclude_HEADERS)'; for p in $$list; do \
	  f="$$p"; \
	  echo " rm -f $(DESTDIR)$(ClanLibincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(ClanLibincludedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(ClanLibincludedir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-nobase_ClanLibincludeHEADERS

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-nobase_ClanLibincludeHEADERS

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool ctags distclean distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-nobase_ClanLibincludeHEADERS install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am \
	uninstall-nobase_ClanLibincludeHEADERS


# EOF #
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
